Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5117)
@@ -40,5 +40,5 @@
     n=int(CFLmax)+1
   ! pour reproduire cas VL du code qui appele x,y,z,y,x
-     ! if (nadv.eq.30) n=n/2   ! Pour Prather
+     ! if (nadv.EQ.30) n=n/2   ! Pour Prather
     dtbon=dtvr/n
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5117)
@@ -148,5 +148,5 @@
   REAL :: dxqu(ip1jmp1),zqu(ip1jmp1)
   REAL :: zqmax(ip1jmp1),zqmin(ip1jmp1)
-  logical :: extremum(ip1jmp1)
+  LOGICAL :: extremum(ip1jmp1)
 
   INTEGER :: mode
@@ -156,5 +156,5 @@
   !   calcul des pentes en u:
   !   -----------------------
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jm
@@ -230,5 +230,5 @@
      enddo
      do ij=iip2,ip1jm-1
-        if (extremum(ij).and..not.extremum(ij+1)) &
+        IF (extremum(ij).and..not.extremum(ij+1)) &
               qg(ij+1,l)=q(ij,l)
      enddo
@@ -239,5 +239,5 @@
 8888   continue
   enddo
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE advnqx
@@ -265,5 +265,5 @@
   REAL :: dyqv(ip1jm),zqv(ip1jm,llm)
   REAL :: zqmax(ip1jm),zqmin(ip1jm)
-  logical :: extremum(ip1jmp1)
+  LOGICAL :: extremum(ip1jmp1)
 
   INTEGER :: mode
@@ -271,5 +271,5 @@
   data mode/1/
 
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jmp1
@@ -318,6 +318,6 @@
            qs(ij,l)=q(ij,l)
            qn(ij,l)=q(ij,l)
-           ! if (.not.extremum(ij-iip1)) qs(ij-iip1,l)=q(ij,l)
-           ! if (.not.extremum(ij+iip1)) qn(ij+iip1,l)=q(ij,l)
+           ! if (.NOT.extremum(ij-iip1)) qs(ij-iip1,l)=q(ij,l)
+           ! if (.NOT.extremum(ij+iip1)) qn(ij+iip1,l)=q(ij,l)
         else
            qs(ij,l)=zqv(ij,l)
@@ -334,5 +334,5 @@
 
   enddo
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE advnqy
@@ -361,5 +361,5 @@
   REAL :: dzqw(ip1jmp1,llm+1),zqw(ip1jmp1,llm+1)
   REAL :: zqmax(ip1jmp1,llm),zqmin(ip1jmp1,llm)
-  logical :: extremum(ip1jmp1,llm)
+  LOGICAL :: extremum(ip1jmp1,llm)
 
   INTEGER :: mode
@@ -371,5 +371,5 @@
   !   -----------------------
 
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jmp1
@@ -436,6 +436,6 @@
   !    do ij=1,ip1jmp1
   !       IF(extremum(ij,l)) THEN
-  !          if (.not.extremum(ij,l-1)) qh(ij,l-1)=q(ij,l)
-  !          if (.not.extremum(ij,l+1)) qb(ij,l+1)=q(ij,l)
+  !          if (.NOT.extremum(ij,l-1)) qh(ij,l-1)=q(ij,l)
+  !          if (.NOT.extremum(ij,l+1)) qb(ij,l+1)=q(ij,l)
   !       endif
   !    enddo
@@ -449,5 +449,5 @@
   enddo
 
-  endif
+  ENDIF
 
   RETURN
@@ -491,5 +491,5 @@
   REAL :: zm,zq,zsigm,zsigp,zqm,zqp,zu
 
-  logical :: ladvplus(ip1jmp1,llm)
+  LOGICAL :: ladvplus(ip1jmp1,llm)
 
   REAL :: prec
@@ -506,9 +506,9 @@
            !    qd(ij,l)=q(ij,l)
            !    qg(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
            IF(abs(zdq)>prec) THEN
               zsigd(ij,l)=(q(ij,l)-qg(ij,l))/zdq
               zsigg(ij,l)=1.-zsigd(ij,l)
-              ! IF(.not.(zsigd(ij,l).ge.0..and.zsigd(ij,l).le.1. .and.
+              ! IF(.NOT.(zsigd(ij,l).ge.0..and.zsigd(ij,l).le.1. .AND.
   !    s               zsigg(ij,l).ge.0..or.zsigg(ij,l).le.1.) ) THEN
               !    PRINT*,'probleme au point ij=',ij,'  l=',l
@@ -516,5 +516,5 @@
               !    PRINT*,'q d,c,g ',qd(ij,l),q(ij,l),qg(ij,l),zdq
               !    stop
-              ! endif
+              ! END IF
            else
               zsigd(ij,l)=0.5
@@ -530,5 +530,5 @@
    do l=1,llm
    do ij=iip2,ip1jm-1
-      if (u_m(ij,l)>=0.) THEN
+      IF (u_m(ij,l)>=0.) THEN
          zsigp=zsigd(ij,l)
          zsigm=zsigg(ij,l)
@@ -549,13 +549,13 @@
       zsig=zu/zm
       IF(zsig==0.) zsigp=0.1
-      if (mode==1) THEN
-         if (zsig<=zsigp) THEN
+      IF (mode==1) THEN
+         IF (zsig<=zsigp) THEN
              u_mq(ij,l)=u_m(ij,l)*zqp
-         else if (mode==1) THEN
+         ELSE IF (mode==1) THEN
              u_mq(ij,l)= &
                    sign(zm,u_m(ij,l))*(zsigp*zqp+(zsig-zsigp)*zqm)
          endif
       else
-         if (zsig<=zsigp) THEN
+         IF (zsig<=zsigp) THEN
              u_mq(ij,l)=u_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
          else
@@ -568,5 +568,5 @@
       !    PRINT*,'au point ij=',ij,'  l=',l,'  sig=',zsig
       !    stop
-      ! endif
+      ! END IF
   enddo
   enddo
@@ -605,5 +605,5 @@
   !   indicage des mailles concernees par le traitement special
            do ij=iip2,ip1jm
-              IF(ladvplus(ij,l).and.mod(ij,iip1)/=0) THEN
+              IF(ladvplus(ij,l).AND.mod(ij,iip1)/=0) THEN
                  iju=iju+1
                  indu(iju)=ij
@@ -639,5 +639,5 @@
       ! goto 8888
             zz=0.5*(zsig-zsigd(ijq,l))/zsigg(ijq,l)
-            IF(.not.(zz>0..and.zz<=0.5)) THEN
+            IF(.NOT.(zz>0..and.zz<=0.5)) THEN
                  WRITE(lunout,*)'probleme2 au point ij=',ij, &
                        '  l=',l
@@ -669,5 +669,5 @@
         ! goto 9999
             zz=0.5*(zsig-zsigg(ijq,l))/zsigd(ijq,l)
-            IF(.not.(zz>0..and.zz<=0.5)) THEN
+            IF(.NOT.(zz>0..and.zz<=0.5)) THEN
                  WRITE(lunout,*)'probleme22 au point ij=',ij &
                        ,'  l=',l
@@ -685,5 +685,5 @@
         endif
      enddo
-  endif  ! n0.gt.0
+  ENDIF  ! n0.gt.0
 
   !   bouclage en latitude
@@ -763,14 +763,14 @@
            !    qn(ij,l)=q(ij,l)
            !    qs(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
            IF(abs(zdq)>prec) THEN
               zsign(ij)=(q(ij,l)-qs(ij,l))/zdq
               zsigs(ij)=1.-zsign(ij)
-              ! IF(.not.(zsign(ij).ge.0..and.zsign(ij).le.1. .and.
+              ! IF(.NOT.(zsign(ij).ge.0..and.zsign(ij).le.1. .AND.
   !    s               zsigs(ij).ge.0..or.zsigs(ij).le.1.) ) THEN
               !    PRINT*,'probleme au point ij=',ij,'  l=',l
               !    PRINT*,'sigs=',zsigs(ij),'  sign=',zsign(ij)
               !    stop
-              ! endif
+              ! END IF
            else
               zsign(ij)=0.5
@@ -782,5 +782,5 @@
 
    do ij=1,ip1jm
-      if (v_m(ij,l)>=0.) THEN
+      IF (v_m(ij,l)>=0.) THEN
          zsigp=zsign(ij+iip1)
          zsigm=zsigs(ij+iip1)
@@ -799,5 +799,5 @@
       zsig=abs(v_m(ij,l))/zm
       IF(zsig==0.) zsigp=0.1
-      if (zsig<=zsigp) THEN
+      IF (zsig<=zsigp) THEN
           v_mq(ij,l)=v_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
       else
@@ -890,5 +890,5 @@
            !    qh(ij,l)=q(ij,l)
            !    qb(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
 
            IF(abs(zdq)>prec) THEN
@@ -907,5 +907,5 @@
    do l=2,llm
    do ij=1,ip1jmp1
-      if (w_m(ij,l)>=0.) THEN
+      IF (w_m(ij,l)>=0.) THEN
          zsigp=zsigb(ij,l)
          zsigm=zsigh(ij,l)
@@ -924,5 +924,5 @@
       zsig=abs(w_m(ij,l))/zm
       IF(zsig==0.) zsigp=0.1
-      if (zsig<=zsigp) THEN
+      IF (zsig<=zsigp) THEN
           w_mq(ij,l)=w_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5117)
@@ -17,5 +17,5 @@
       INTEGER nitergdiv, nitergrot, niterh
 
-      integer vert_prof_dissip ! vertical profile of horizontal dissipation
+      INTEGER vert_prof_dissip ! vertical profile of horizontal dissipation
 !     Allowed values:
 !     0: rational fraction, function of pressure
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90	(revision 5117)
@@ -273,5 +273,5 @@
   ! ===================================
   !
-  IF ( (idiag2>0) .and. (pas(idiag2) /= 0) ) THEN
+  IF ( (idiag2>0) .AND. (pas(idiag2) /= 0) ) THEN
     d_h_vcol  = (h_vcol_tot - h_vcol_pre(idiag2) )/dtime
     d_h_dair = (h_dair_tot- h_dair_pre(idiag2))/dtime
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5117)
@@ -3,7 +3,7 @@
 SUBROUTINE disvert()
 
-  use ioipsl, ONLY: getin
-  use new_unit_m, ONLY: new_unit
-  use lmdz_assert, ONLY: assert
+  USE ioipsl, ONLY: getin
+  USE lmdz_new_unit, ONLY: new_unit
+  USE lmdz_assert, ONLY: assert
   USE comvert_mod, ONLY: ap, bp, aps, bps, nivsigs, nivsig, dpres, presnivs, &
                          pseudoalt, pa, preff, scaleheight, presinter
@@ -62,9 +62,9 @@
   CALL getin('vert_sampling', vert_sampling)
   WRITE(lunout,*) TRIM(modname)//' vert_sampling = ' // vert_sampling
-  if (llm==39 .and. vert_sampling=="strato") THEN
+  IF (llm==39 .AND. vert_sampling=="strato") THEN
      dsigmin=0.3 ! Vieille option par défaut pour CMIP5
   else
      dsigmin=1.
-  endif
+  ENDIF
   CALL getin('dsigmin', dsigmin)
   WRITE(LUNOUT,*) trim(modname), 'Discretisation verticale DSIGMIN=',dsigmin
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5117)
@@ -6,5 +6,5 @@
   !    On l'utilise aussi pour Venus et Titan, legerment modifiee.
 
-  use IOIPSL
+  USE IOIPSL
   USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt, &
         nivsig,nivsigs,pa,preff,scaleheight
@@ -168,5 +168,5 @@
   !
 
-  if (hybrid) then  ! use hybrid coordinates
+  IF (hybrid) then  ! use hybrid coordinates
      WRITE(lunout,*) "*********************************"
      WRITE(lunout,*) "Using hybrid vertical coordinates"
@@ -191,5 +191,5 @@
      ENDDO
      ap(llmp1) = 0.
-  endif
+  ENDIF
 
   bp(llmp1) =   0.
@@ -213,5 +213,5 @@
   ENDDO
 
-  if (hybrid) THEN
+  IF (hybrid) THEN
      aps(llm) = aps(llm-1)**2 / aps(llm-2)
      bps(llm) = 0.5*(bp(llm) + bp(llm+1))
@@ -301,11 +301,11 @@
   x1=0
   x2=1
-  if (sig>=1) THEN
+  IF (sig>=1) THEN
         newsig= sig
-  else if (sig*preff/pa>=0.25) THEN
+  ELSE IF (sig*preff/pa>=0.25) THEN
     DO J=1,9999  ! nombre d''iteration max
       F=((1 -pa/preff)*exp(1-1./newsig**2)+(pa/preff)*newsig)/sig
       ! WRITE(0,*) J, ' newsig =', newsig, ' F= ', F
-      if (F>1) THEN
+      IF (F>1) THEN
           X2 = newsig
           newsig=(X1+newsig)*0.5
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5117)
@@ -45,5 +45,5 @@
     INTEGER  ngrid
     REAL p(ngrid,llmp1),pk(ngrid,llm)
-    real, optional:: pkf(ngrid,llm)
+    REAL, optional:: pkf(ngrid,llm)
     REAL ps(ngrid),pks(ngrid), alpha(ngrid,llm),beta(ngrid,llm)
 
@@ -57,16 +57,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) THEN
-          if (kappa/=1) THEN
+       IF (llm==1) THEN
+          IF (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) THEN
+          IF (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
-       endif ! of if (llm.eq.1)
+       endif ! of if (llm.EQ.1)
 
        firstcall=.FALSE.
@@ -74,5 +74,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
 
@@ -82,5 +82,5 @@
        ENDDO
 
-       if (present(pkf)) THEN
+       IF (present(pkf)) THEN
           pkf = pk
           CALL filtreg ( pkf, jmp1, llm, 2, 1, .TRUE., 1 ) 
@@ -89,5 +89,5 @@
        ! our work is done, exit routine
        RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -137,5 +137,5 @@
     ENDDO
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
        !    calcul de pkf
        pkf = pk
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5117)
@@ -42,5 +42,5 @@
     INTEGER  ngrid
     REAL p(ngrid,llmp1),pk(ngrid,llm)
-    real, optional:: pkf(ngrid,llm)
+    REAL, optional:: pkf(ngrid,llm)
     REAL ps(ngrid),pks(ngrid)
 
@@ -54,16 +54,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) THEN
-          if (kappa/=1) THEN
+       IF (llm==1) THEN
+          IF (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) THEN
+          IF (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
-       endif ! of if (llm.eq.1)
+       endif ! of if (llm.EQ.1)
 
        firstcall=.FALSE.
@@ -71,5 +71,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
 
@@ -79,5 +79,5 @@
        ENDDO
 
-       if (present(pkf)) THEN
+       IF (present(pkf)) THEN
           pkf = pk
           CALL filtreg ( pkf, jmp1, llm, 2, 1, .TRUE., 1 ) 
@@ -86,5 +86,5 @@
        ! our work is done, exit routine
        RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -116,5 +116,5 @@
     ENDDO
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
        !    calcul de pkf
        pkf = pk
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5117)
@@ -18,20 +18,20 @@
     ! 1., taux=0., clon=0.) est à - 180 degrés.
 
-    use lmdz_arth, ONLY: arth
-    use invert_zoom_x_m, ONLY: invert_zoom_x, nmax
-    use nrtype, ONLY: pi, pi_d, twopi, twopi_d, k8
-    use principal_cshift_m, ONLY: principal_cshift
-    use serre_mod, ONLY: clon, grossismx, dzoomx, taux
+    USE lmdz_arth, ONLY: arth
+    USE invert_zoom_x_m, ONLY: invert_zoom_x, nmax
+    USE lmdz_physical_constants, ONLY: pi, pi_d, twopi, twopi_d, k8
+    USE principal_cshift_m, ONLY: principal_cshift
+    USE serre_mod, ONLY: clon, grossismx, dzoomx, taux
 
     include "dimensions.h"
     ! for iim
 
-    REAL, intent(out):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
-    real, intent(out):: rlonu(:), xprimu(:), xprimp025(:) ! (iim + 1)
+    REAL, INTENT(OUT):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
+    REAL, INTENT(OUT):: rlonu(:), xprimu(:), xprimp025(:) ! (iim + 1)
 
     ! Local:
-    real rlonm025(iim + 1), rlonp025(iim + 1)
+    REAL rlonm025(iim + 1), rlonp025(iim + 1)
     REAL dzoom, step
-    real d_rlonv(iim)
+    REAL d_rlonv(iim)
     REAL(K8) xtild(0:2 * nmax)
     REAL(K8) fhyp(nmax:2 * nmax), ffdx, beta, Xprimt(0:2 * nmax)
@@ -185,13 +185,13 @@
 
        IF (MINval(rlonm025(:iim)) < - pi - 0.1 &
-            .or. MAXval(rlonm025(:iim)) > pi + 0.1) THEN
+            .OR. MAXval(rlonm025(:iim)) > pi + 0.1) THEN
           IF (clon <= 0.) THEN
              is2 = 1
 
-             do while (rlonm025(is2) < - pi .and. is2 < iim)
+             do while (rlonm025(is2) < - pi .AND. is2 < iim)
                 is2 = is2 + 1
              END DO
 
-             if (rlonm025(is2) < - pi) THEN
+             IF (rlonm025(is2) < - pi) THEN
                 print *, 'Rlonm025 plus petit que - pi !'
                 STOP 1
@@ -200,9 +200,9 @@
              is2 = iim
 
-             do while (rlonm025(is2) > pi .and. is2 > 1)
+             do while (rlonm025(is2) > pi .AND. is2 > 1)
                 is2 = is2 - 1
              END DO
 
-             if (rlonm025(is2) > pi) THEN
+             IF (rlonm025(is2) > pi) THEN
                 print *, 'Rlonm025 plus grand que pi !'
                 STOP 1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5117)
@@ -16,14 +16,14 @@
     ! Il vaut mieux avoir : grossismy * dzoom < pi / 2
 
-    use lmdz_coefpoly, ONLY: coefpoly
-    use nrtype, ONLY: k8
-    use serre_mod, ONLY: clat, grossismy, dzoomy, tauy
+    USE lmdz_coefpoly, ONLY: coefpoly
+    USE lmdz_physical_constants, ONLY: k8
+    USE serre_mod, ONLY: clat, grossismy, dzoomy, tauy
 
     include "dimensions.h"
     ! for jjm
 
-    REAL, intent(out):: rlatu(jjm + 1), yyprimu(jjm + 1)
-    REAL, intent(out):: rlatv(jjm)
-    real, intent(out):: rlatu2(jjm), yprimu2(jjm), rlatu1(jjm), yprimu1(jjm)
+    REAL, INTENT(OUT):: rlatu(jjm + 1), yyprimu(jjm + 1)
+    REAL, INTENT(OUT):: rlatv(jjm)
+    REAL, INTENT(OUT):: rlatu2(jjm), yprimu2(jjm), rlatu1(jjm), yprimu1(jjm)
 
     ! Local: 
@@ -179,5 +179,5 @@
 
           it = nmax2
-          DO while (it >= 1 .and. yfi < yf(it))
+          DO while (it >= 1 .AND. yfi < yf(it))
              it = it - 1
           END DO
@@ -201,5 +201,5 @@
           DO
              yi = yi - (yf1-yfi)/yprimin
-             IF (abs(yi-yo1)<=epsilon .or. iter == 300) exit
+             IF (abs(yi-yo1)<=epsilon .OR. iter == 300) exit
              yo1 = yi
              yi2 = yi*yi
@@ -207,5 +207,5 @@
              yprimin = a1 + 2.*a2*yi + 3.*a3*yi2
           END DO
-          if (abs(yi-yo1) > epsilon) THEN
+          IF (abs(yi-yo1) > epsilon) THEN
              print *, 'Pas de solution.', j, ylon2
              STOP 1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5117)
@@ -34,7 +34,7 @@
   do j = 1, jp1
     do i = 1, iim
-      if (j == 1) THEN
+      IF (j == 1) THEN
         champdyn(i, j) = polenord
-      else if (j == jp1) THEN
+      ELSE IF (j == jp1) THEN
         champdyn(i, j) = polesud
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h	(revision 5117)
@@ -2,16 +2,16 @@
 ! $Header$
 
-integer nfmx,imx,jmx,lmx,nvarmx
+INTEGER nfmx,imx,jmx,lmx,nvarmx
 parameter(nfmx=10,imx=200,jmx=150,lmx=200,nvarmx=1000)
 
-real xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
+REAL xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
 
-integer imd(imx),jmd(jmx),lmd(lmx)
-integer iid(imx),jid(jmx)
-integer ifd(imx),jfd(jmx)
-integer unit(nfmx),irec(nfmx),itime(nfmx),nld(nvarmx,nfmx)
+INTEGER imd(imx),jmd(jmx),lmd(lmx)
+INTEGER iid(imx),jid(jmx)
+INTEGER ifd(imx),jfd(jmx)
+INTEGER unit(nfmx),irec(nfmx),itime(nfmx),nld(nvarmx,nfmx)
 
-integer nvar(nfmx),ivar(nfmx)
-logical firsttime(nfmx)
+INTEGER nvar(nfmx),ivar(nfmx)
+LOGICAL firsttime(nfmx)
 
 character*10 var(nvarmx,nfmx),fichier(nfmx)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5117)
@@ -3,6 +3,6 @@
 MODULE infotrac
 
-  USE       strings_mod, ONLY: msg, fmsg, maxlen, cat, dispTable, int2str, bool2str, strStack, strParse
-  USE readTracFiles_mod, ONLY: trac_type, readTracersFiles, tracers, setGeneration, itZonIso, nzone, tran0, isoZone, &
+  USE       lmdz_strings, ONLY: msg, fmsg, maxlen, cat, dispTable, int2str, bool2str, strStack, strParse
+  USE lmdz_readTracFiles, ONLY: trac_type, readTracersFiles, tracers, setGeneration, itZonIso, nzone, tran0, isoZone, &
           delPhase, niso, getKey, isot_type, processIsotopes, isotope, maxTableWidth, iqIsoPha, nphas, ixIso, isoPhas, &
           addPhase, iH2O, addKey, isoSelect, testTracersFiles, isoKeys, indexUpdate, iqWIsoPha, nbIso, ntiso, isoName, isoCheck
@@ -176,5 +176,5 @@
     IF (nt > 1) THEN
       IF (nt > 2) CALL abort_gcm(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
-      if (nt == 2) type_trac = types_trac(2)
+      IF (nt == 2) type_trac = types_trac(2)
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5117)
@@ -5,5 +5,5 @@
 
   USE control_mod
-  use IOIPSL
+  USE IOIPSL
   USE comconst_mod, ONLY: im, imp1, jm, jmp1, lllm, lllmm1, lllmp1, &
                           unsim, pi, r, kappa, cpp, dtvr, dtphys
@@ -53,9 +53,9 @@
 
   ! vertical discretization: default behavior depends on planet_type flag
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
      disvert_type=1
   else
      disvert_type=2
-  endif
+  ENDIF
   ! but user can also specify using one or the other in run.def:
   CALL getin('disvert_type',disvert_type)
@@ -65,8 +65,8 @@
   CALL getin('pressure_exner', pressure_exner)
 
-  if (disvert_type==1) THEN
+  IF (disvert_type==1) THEN
      ! standard case for Earth (automatic generation of levels)
      CALL disvert()
-  else if (disvert_type==2) THEN
+  ELSE IF (disvert_type==2) THEN
      ! standard case for planets (levels generated using z2sig.def file)
      CALL disvert_noterre
@@ -74,5 +74,5 @@
      WRITE(abort_message,*) "Wrong value for disvert_type: ", disvert_type
      CALL abort_gcm(modname,abort_message,0)
-  endif
+  ENDIF
 
 END SUBROUTINE iniconst
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5117)
@@ -16,4 +16,5 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_libmath, ONLY: minmax
+  USE lmdz_ran1, ONLY: ran1
 
   IMPLICIT NONE
@@ -23,9 +24,9 @@
   include "iniprint.h"
 
-  LOGICAL, INTENT(in) :: lstardis
-  INTEGER, INTENT(in) :: nitergdiv, nitergrot, niterh
-  REAL, INTENT(in) :: tetagdiv, tetagrot, tetatemp
-
-  integer, INTENT(in) :: vert_prof_dissip
+  LOGICAL, INTENT(IN) :: lstardis
+  INTEGER, INTENT(IN) :: nitergdiv, nitergrot, niterh
+  REAL, INTENT(IN) :: tetagdiv, tetagrot, tetatemp
+
+  INTEGER, INTENT(IN) :: vert_prof_dissip
   ! Vertical profile of horizontal dissipation
   ! Allowed values:
@@ -36,5 +37,5 @@
   REAL fact, zvert(llm), zz
   REAL zh(ip1jmp1), zu(ip1jmp1), gx(ip1jmp1), divgra(ip1jmp1)
-  real zv(ip1jm), gy(ip1jm), deltap(ip1jmp1, llm)
+  REAL zv(ip1jm), gy(ip1jm), deltap(ip1jmp1, llm)
   REAL ullm, vllm, umin, vmin, zhmin, zhmax
   REAL zllm
@@ -43,8 +44,5 @@
   REAL tetamin
   REAL pseudoz
-  character (len = 80) :: abort_message
-
-  REAL ran1
-
+  CHARACTER (LEN = 80) :: abort_message
 
   !-----------------------------------------------------------------------
@@ -174,5 +172,5 @@
   !   --------------------------------------------------
 
-  if (vert_prof_dissip == 1) THEN
+  IF (vert_prof_dissip == 1) THEN
     do l = 1, llm
       pseudoz = 8. * log(preff / presnivs(l))
@@ -190,5 +188,5 @@
       zvert(l) = fact - (fact - 1.) / (1. + zz * zz)
     ENDDO
-  endif
+  ENDIF
 
   WRITE(lunout, *)'inidissip: Constantes de temps de la diffusion horizontale'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5117)
@@ -16,6 +16,6 @@
   !
   !
-  use fxhyp_m, ONLY: fxhyp
-  use fyhyp_m, ONLY: fyhyp
+  USE fxhyp_m, ONLY: fxhyp
+  USE fyhyp_m, ONLY: fyhyp
   USE comconst_mod, ONLY: pi, g, omeg, rad
   USE logic_mod, ONLY: fxyhypb, ysinus
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5117)
@@ -11,6 +11,6 @@
   REAL :: xmin, xmax, ymin, ymax
 
-  CHARACTER(LEN = *), intent(in) :: file
-  CHARACTER(LEN = *), intent(in) :: titlel
+  CHARACTER(LEN = *), INTENT(IN) :: file
+  CHARACTER(LEN = *), INTENT(IN) :: titlel
 
   INCLUDE "gradsdef.h"
@@ -31,5 +31,5 @@
   unit(9) = 46
 
-  if (if<=nf) stop 'verifier les appels a inigrads'
+  IF (if<=nf) stop 'verifier les appels a inigrads'
 
   PRINT*, 'Entree dans inigrads'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5117)
@@ -5,5 +5,5 @@
   USE IOIPSL
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid, &
+  USE com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid, &
        dynhistave_file,dynhistvave_file,dynhistuave_file
   USE comconst_mod, ONLY: pi
@@ -42,17 +42,17 @@
   !   Arguments
 
-  integer day0, anne0
-  real tstep, t_ops, t_wrt
+  INTEGER day0, anne0
+  REAL tstep, t_ops, t_wrt
 
   ! This routine needs IOIPSL to work
   !   Variables locales
 
-  integer tau0
-  real zjulian
-  integer iq
-  real rlong(iip1,jjp1), rlat(iip1,jjp1)
-  integer uhoriid, vhoriid, thoriid, zvertiid
-  integer ii,jj
-  integer zan, dayref
+  INTEGER tau0
+  REAL zjulian
+  INTEGER iq
+  REAL rlong(iip1,jjp1), rlat(iip1,jjp1)
+  INTEGER uhoriid, vhoriid, thoriid, zvertiid
+  INTEGER ii,jj
+  INTEGER zan, dayref
 
   !--------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5117)
@@ -64,5 +64,5 @@
   INTEGER :: ii, jj
   INTEGER :: zan, idayref
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   !
   !  Initialisations
@@ -211,9 +211,9 @@
   CALL histend(filevid)
   CALL histend(filedid)
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(fileid)
     CALL histsync(filevid)
     CALL histsync(filedid)
-  endif
+  ENDIF
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5117)
@@ -14,6 +14,6 @@
   SUBROUTINE inter_barxy(dlonid, dlatid, champ, rlonimod, rlatimod, champint)
 
-    use lmdz_assert_eq, ONLY: assert_eq
-    use lmdz_assert, ONLY: assert
+    USE lmdz_assert_eq, ONLY: assert_eq
+    USE lmdz_assert, ONLY: assert
 
     include "dimensions.h"
@@ -26,13 +26,13 @@
     ! (for "aire", "apoln", "apols")
 
-    REAL, intent(in) :: dlonid(:)
+    REAL, INTENT(IN) :: dlonid(:)
     ! (longitude from input file, in rad, from -pi to pi)
 
-    REAL, intent(in) :: dlatid(:), champ(:, :), rlonimod(:)
-
-    REAL, intent(in) :: rlatimod(:)
+    REAL, INTENT(IN) :: dlatid(:), champ(:, :), rlonimod(:)
+
+    REAL, INTENT(IN) :: rlatimod(:)
     ! (latitude angle, in degrees or rad, in strictly decreasing order)
 
-    real, intent(out) :: champint(:, :)
+    REAL, INTENT(OUT) :: champint(:, :)
     ! Si taille de la seconde dim = jjm + 1, on veut interpoler sur les
     ! jjm+1 latitudes rlatu du modele (latitudes des scalaires et de U)
@@ -43,5 +43,5 @@
 
     REAL champy(iim, size(champ, 2))
-    integer j, i, jnterfd, jmods
+    INTEGER j, i, jnterfd, jmods
 
     REAL yjmod(size(champint, 2))
@@ -78,5 +78,5 @@
     ENDIF
 
-    if (jmods == jjm + 1) yjmod(jjm + 1) = 90.
+    IF (jmods == jjm + 1) yjmod(jjm + 1) = 90.
 
     DO j = 1, jnterfd + 1
@@ -121,9 +121,9 @@
     IMPLICIT NONE
 
-    REAL, intent(in) :: dlonid(:)
-    real, intent(in) :: fdat(:)
-    real, intent(in) :: rlonimod(:)
-
-    real inter_barx(size(rlonimod))
+    REAL, INTENT(IN) :: dlonid(:)
+    REAL, INTENT(IN) :: fdat(:)
+    REAL, INTENT(IN) :: rlonimod(:)
+
+    REAL inter_barx(size(rlonimod))
 
     !    ...  Variables locales ... 
@@ -184,5 +184,5 @@
 
     i = 2
-    DO while (xxd(i) >= xxd(i - 1) .and. i < idatmax)
+    DO while (xxd(i) >= xxd(i - 1) .AND. i < idatmax)
       i = i + 1
     ENDDO
@@ -299,15 +299,15 @@
     ! L'indice 1 correspond à l'interface maille 1 -- maille 2.
 
-    use lmdz_assert, ONLY: assert
+    USE lmdz_assert, ONLY: assert
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: yjdat(:)
+    REAL, INTENT(IN) :: yjdat(:)
     ! (angles, ordonnées des interfaces des mailles des données, in
     ! degrees, in increasing order)
 
-    REAL, intent(in) :: fdat(:) ! champ de données
-
-    REAL, intent(in) :: yjmod(:)
+    REAL, INTENT(IN) :: fdat(:) ! champ de données
+
+    REAL, INTENT(IN) :: yjmod(:)
     ! (ordonnées des interfaces des mailles du modèle)
     ! (in degrees, in strictly increasing order)
@@ -319,5 +319,5 @@
     REAL y0, dy, dym
     INTEGER jdat ! indice du champ de données
-    integer jmod ! indice du champ du modèle
+    INTEGER jmod ! indice du champ du modèle
 
     !------------------------------------
@@ -373,10 +373,10 @@
     ! Finally, the procedure adds 90° as the last value of the array.
 
-    use lmdz_assert_eq, ONLY: assert_eq
-    use comconst_mod, ONLY: pi
+    USE lmdz_assert_eq, ONLY: assert_eq
+    USE comconst_mod, ONLY: pi
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: xi(:)
+    REAL, INTENT(IN) :: xi(:)
     ! (latitude, in degrees or radians, in increasing or decreasing order)
     ! ("xi" should contain latitudes from pole to pole.
@@ -385,6 +385,6 @@
     ! So the extreme values should not be 90° and -90°.)
 
-    REAL, intent(out) :: xo(:) ! angles in degrees
-    LOGICAL, intent(out) :: decrois
+    REAL, INTENT(OUT) :: xo(:) ! angles in degrees
+    LOGICAL, INTENT(OUT) :: decrois
 
     ! Variables  local to the procedure:
@@ -410,5 +410,5 @@
     end IF
 
-    IF (ABS(abs(xo(1)) - 90) < 0.001 .or. ABS(abs(xo(nmax)) - 90) < 0.001) THEN
+    IF (ABS(abs(xo(1)) - 90) < 0.001 .OR. ABS(abs(xo(nmax)) - 90) < 0.001) THEN
       print *, "ord_coord"
       PRINT *, '"xi" should contain the latitudes of the boundaries of ' &
@@ -429,9 +429,9 @@
     ! order.
 
-    use comconst_mod, ONLY: pi
+    USE comconst_mod, ONLY: pi
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: xi(:) ! angle, in rad or degrees
+    REAL, INTENT(IN) :: xi(:) ! angle, in rad or degrees
     REAL ord_coordm(size(xi)) ! angle, in degrees
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5117)
@@ -9,15 +9,15 @@
   SUBROUTINE invert_zoom_x(xf, xtild, Xprimt, xlon, xprimm, xuv)
 
-    use lmdz_coefpoly, ONLY: coefpoly
-    use nrtype, ONLY: pi, pi_d, twopi_d, k8
-    use serre_mod, ONLY: clon
+    USE lmdz_coefpoly, ONLY: coefpoly
+    USE lmdz_physical_constants, ONLY: pi, pi_d, twopi_d, k8
+    USE serre_mod, ONLY: clon
 
     include "dimensions.h"
     ! for iim
 
-    REAL(K8), intent(in):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
-    real, intent(out):: xlon(:), xprimm(:) ! (iim)
+    REAL(K8), INTENT(IN):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
+    REAL, INTENT(OUT):: xlon(:), xprimm(:) ! (iim)
 
-    REAL(K8), intent(in):: xuv
+    REAL(K8), INTENT(IN):: xuv
     ! 0. si calcul aux points scalaires 
     ! 0.5 si calcul aux points U 
@@ -25,5 +25,5 @@
     ! Local:
     REAL(K8) xo1, Xfi, a0, a1, a2, a3, Xf1, Xprimin
-    integer i, it, iter
+    INTEGER i, it, iter
     REAL(K8), parameter:: my_eps = 1e-6_k8
 
@@ -37,5 +37,5 @@
 
        it = 2 * nmax
-       do while (xfi < xf(it) .and. it >= 1)
+       do while (xfi < xf(it) .AND. it >= 1)
           it = it - 1
        END DO
@@ -56,7 +56,7 @@
        iter = 1
 
-       do
+       DO
           xvrai(i) = xvrai(i) - (Xf1 - Xfi) / Xprimin
-          IF (ABS(xvrai(i) - xo1) <= my_eps .or. iter == 300) exit
+          IF (ABS(xvrai(i) - xo1) <= my_eps .OR. iter == 300) exit
           xo1 = xvrai(i)
           Xf1 = a0 + xvrai(i) * (a1 + xvrai(i) * (a2 + xvrai(i) * a3))
@@ -64,5 +64,5 @@
        end DO
 
-       if (ABS(xvrai(i) - xo1) > my_eps) THEN
+       IF (ABS(xvrai(i) - xo1) > my_eps) THEN
           ! iter == 300
           print *, 'Pas de solution.'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5117)
@@ -13,5 +13,5 @@
     INTEGER :: iso_verif_noNaN_nostop
 
-    if ((x>-borne).and.(x<borne)) THEN
+    IF ((x>-borne).AND.(x<borne)) THEN
             iso_verif_noNAN_nostop=0
     else
@@ -47,6 +47,6 @@
     iso_verif_egalite_nostop=0
 
-    if (abs(a-b)>errmax) THEN
-      if (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
+    IF (abs(a-b)>errmax) THEN
+      IF (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
             >errmaxrel) THEN
         WRITE(*,*) 'erreur detectee par iso_verif_egalite:'
@@ -84,5 +84,5 @@
 
     ! verifier que HDO est raisonable
-     if (q>qmin) THEN
+     IF (q>qmin) THEN
          IF(getKey('tnat', tnat, isoName(iso))) THEN
               err_msg = 'Missing isotopic parameter "tnat"'
@@ -91,5 +91,5 @@
          END IF
          deltaD=(x/q/tnat-1)*1000
-         if ((deltaD>deltaDmax).or.(deltaD<deltaDmin)) THEN
+         IF ((deltaD>deltaDmax).OR.(deltaD<deltaDmin)) THEN
               WRITE(*,*) 'erreur detectee par iso_verif_aberrant:'
               WRITE(*,*) err_msg
@@ -98,5 +98,5 @@
               WRITE(*,*) 'iso=',iso
               iso_verif_aberrant_nostop=1
-         endif !if ((deltaD.gt.deltaDmax).or.(deltaD.lt.deltaDmin)) THEN
+         endif !if ((deltaD.gt.deltaDmax).OR.(deltaD.lt.deltaDmin)) THEN
       endif !if (q(i,k,iq).gt.qmin) THEN
     RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5117)
@@ -85,5 +85,5 @@
      do ij=iip2+1,ip1jm
         IF(     dxqu(ij-1)*dxqu(ij)>0. &
-              .and. dxq(ij,l)*dxqu(ij)>0.) THEN
+              .AND. dxq(ij,l)*dxqu(ij)>0.) THEN
           dxq(ij,l)= &
                 sign(min(abs(dxq(ij,l)),dxqmax(ij)),dxq(ij,l))
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5117)
@@ -67,5 +67,5 @@
      sinlon(1)=sinlon(iip1)
      sinlondlon(1)=sinlondlon(iip1)
-  endif
+  ENDIF
 
   !
@@ -158,5 +158,5 @@
         dyqmax(ij)=pente_max*abs(dyqv(ij))
      enddo
-  endif
+  ENDIF
 
   IF(dyqv(ismax(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1)* &
@@ -170,5 +170,5 @@
         dyqmax(ij)=pente_max*abs(dyqv(ij-iip1))
      enddo
-  endif
+  ENDIF
 
   !   calcul des pentes limitees
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5117)
@@ -78,5 +78,5 @@
      do l=2,llm-1
         IF(     dzqw(l-1)*dzqw(l)>0. &
-              .and. dzq(ij,l)*dzqw(l)>0.) THEN
+              .AND. dzq(ij,l)*dzqw(l)>0.) THEN
           dzq(ij,l)= &
                 sign(min(abs(dzq(ij,l)),dzqmax(l)),dzq(ij,l))
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90	(revision 5117)
@@ -1,6 +1,6 @@
 module misc_mod
-  integer,save :: itaumax
+  INTEGER,save :: itaumax
   logical,save :: adjust
-  integer,save :: ItCount
+  INTEGER,save :: ItCount
   logical,save :: debug
 end module misc_mod 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5117)
@@ -58,5 +58,5 @@
   INTEGER :: ismax,ismin,lati,latf
   EXTERNAL  SSUM, ismin,ismax
-  logical :: first
+  LOGICAL :: first
   save first
   !   fin modif
@@ -72,7 +72,7 @@
   limit = .TRUE.
   pente_max=2
-  ! if (mode.eq.1.or.mode.eq.3) THEN
-  ! if (mode.eq.1) THEN
-  if (mode>=1) THEN
+  ! if (mode.EQ.1.OR.mode.EQ.3) THEN
+  ! if (mode.EQ.1) THEN
+  IF (mode>=1) THEN
     lati=2
     latf=jjm
@@ -80,5 +80,5 @@
     lati=1
     latf=jjp1
-  endif
+  ENDIF
 
   qmin=0.4995
@@ -110,5 +110,5 @@
     ENDDO
 
-  endif
+  ENDIF
   !   Fin modif Fred
 
@@ -245,7 +245,7 @@
         sx(1,jjp1,l)=sx(iip1,jjp1,l)
       enddo
-  endif
-
-  if (mode==4) THEN
+  ENDIF
+
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -256,10 +256,10 @@
         enddo
      enddo
-  endif
+  ENDIF
   CALL limx(s0,sx,sm,pente_max)
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
    CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advy     ')
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -270,5 +270,5 @@
         enddo
      enddo
-  endif
+  ENDIF
    CALL   limy(s0,sy,sm,pente_max)
    CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
@@ -282,5 +282,5 @@
    CALL limz(s0,sz,sm,pente_max)
    CALL advz( limit,dtvr,w,sm,s0,sx,sy,sz )
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -291,5 +291,5 @@
         enddo
      enddo
-  endif
+  ENDIF
     CALL limy(s0,sy,sm,pente_max)
    CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
@@ -306,5 +306,5 @@
 
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -315,5 +315,5 @@
         enddo
      enddo
-  endif
+  ENDIF
    CALL limx(s0,sx,sm,pente_max)
    CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ppm3d.f90	(revision 5117)
@@ -269,5 +269,5 @@
   ! User modifiable parameters
   !
-  integer,parameter :: Jmax = 361, kmax = 150
+  INTEGER,parameter :: Jmax = 361, kmax = 150
   !
   ! ****6***0*********0*********0*********0*********0*********0**********72
@@ -282,5 +282,5 @@
   INTEGER :: IMRD2
   REAL :: PT
-  logical :: cross, fill, dum
+  LOGICAL :: cross, fill, dum
   !
   ! Local dynamic arrays
@@ -327,20 +327,20 @@
     WRITE(6,*) 'NLAY must be >= 6'
     stop
-  endif
-  if (JNP<NLAY) THEN
+  ENDIF
+  IF (JNP<NLAY) THEN
      WRITE(6,*) 'JNP must be >= NLAY'
     stop
-  endif
+  ENDIF
   IMRD2=mod(IMR,2)
-  if (j1==2.and.IMRD2/=0) THEN
+  IF (j1==2.AND.IMRD2/=0) THEN
      WRITE(6,*) 'if j1=2 IMR must be an even integer'
     stop
-  endif
-
-  !
-  IF(Jmax<JNP .or. Kmax<NLAY) THEN
+  ENDIF
+
+  !
+  IF(Jmax<JNP .OR. Kmax<NLAY) THEN
     WRITE(6,*) 'Jmax or Kmax is too small'
     stop
-  endif
+  ENDIF
   !
   DO k=1,NLAY
@@ -359,5 +359,5 @@
   ! Define cosine consistent with GEOS-GCM (using dycore2.0 or later)
         CALL cosc(cosp,cose,JNP,PI,DP)
-  endif
+  ENDIF
   !
   do J=2,JMR
@@ -370,5 +370,5 @@
   acosp(1)   = RCAP
   acosp(JNP) = RCAP
-  endif
+  ENDIF
   !
   IF(NDT0 /= NDT) THEN
@@ -384,5 +384,5 @@
   IF(MaxDT < abs(NDT)) THEN
         WRITE(6,*) 'Warning!!! NDT maybe too large!'
-  endif
+  ENDIF
   !
   IF(CR1>=0.95) THEN
@@ -398,5 +398,5 @@
   IML = min(6*JS0/(J1-1)+2, 4*IMR/5)
   JN0 = JNP-JS0+1
-  endif
+  ENDIF
   !
   !
@@ -414,5 +414,5 @@
   !
   !  WRITE(6,*) 'J1=',J1,' J2=', J2
-  endif
+  ENDIF
   !
   ! *********** End Initialization **********************
@@ -438,5 +438,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   !
   ! Compute "tracer density"
@@ -472,5 +472,5 @@
   CRY(i,2) = DTDY*V(i,1,k)
   END DO
-  endif
+  ENDIF
   !
   ! Determine JS and JN
@@ -483,5 +483,5 @@
         JS = j
         go to 2222
-  endif
+  ENDIF
   enddo
   enddo
@@ -493,5 +493,5 @@
         JN = j
         go to 2233
-  endif
+  ENDIF
   enddo
   enddo
@@ -503,5 +503,5 @@
   DPI(i,JMR,k) = 0.
   enddo
-  endif
+  ENDIF
   !
   ! ******* Compute horizontal mass fluxes ************
@@ -596,5 +596,5 @@
   VA(IMR,1)=VA(1,1)
   VA(IMR,JNP)=VA(1,JNP)
-  endif
+  ENDIF
   !
   ! ****6***0*********0*********0*********0*********0*********0**********72
@@ -608,5 +608,5 @@
   ! E-W advective cross term
   do j=J1,J2
-  IF(J>JS  .and. J<JN) GO TO 250
+  IF(J>JS  .AND. J<JN) GO TO 250
   !
   do i=1,IMR
@@ -627,5 +627,5 @@
   else
   wk1(i,j,1) = qtmp(iiu)+ru*(qtmp(iiu)-qtmp(iiu+1))
-  endif
+  ENDIF
   wk1(i,j,1) = wk1(i,j,1) - qtmp(i)
   END DO
@@ -648,5 +648,5 @@
   enddo
   enddo
-  endif
+  ENDIF
   ! ****6***0*********0*********0*********0*********0*********0**********72
   ! Contribution from the N-S advection
@@ -681,5 +681,5 @@
   enddo
   enddo
-  endif
+  ENDIF
   !
   CALL xtp(IMR,JNP,IML,j1,j2,JN,JS,PU,DQ(1,1,k,IC),wk1(1,1,2) &
@@ -773,5 +773,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   END DO
   !
@@ -783,5 +783,5 @@
   END DO
   END DO
-  endif
+  ENDIF
   !
   RETURN
@@ -792,6 +792,6 @@
         flux,wk1,wk2,wz2,delp,KORD)
   IMPLICIT NONE
-  integer,parameter :: kmax = 150
-  real,parameter :: R23 = 2./3., R3 = 1./3.
+  INTEGER,parameter :: kmax = 150
+  REAL,parameter :: R23 = 2./3., R3 = 1./3.
   INTEGER :: IMR,JNP,NLAY,J1,KORD
   REAL :: WZ(IMR,JNP,NLAY),P(IMR,JNP,NLAY),DC(IMR,JNP,NLAY), &
@@ -838,5 +838,5 @@
   !
   DO j=1,JNP
-  if((j==2 .or. j==JMR) .and. j1/=2) goto 2000
+  IF((j==2 .OR. j==JMR) .AND. j1/=2) goto 2000
   !
   DO k=1,NLAY
@@ -942,5 +942,5 @@
     flux(i,2) = AL(i,2)+0.5*CP*(AL(i,2)-AR(i,2)-A6(i,2)*(1.+R23*CP))
      ! print *,'test2',i, AL(i,2),AR(i,2),A6(i,2),R23
-  endif
+  ENDIF
   END DO
   !
@@ -990,5 +990,5 @@
   enddo
   !
-  IF(j>=JN .or. j<=JS) goto 2222
+  IF(j>=JN .OR. j<=JS) goto 2222
   ! ************* Eulerian **********
   !
@@ -998,5 +998,5 @@
   qtmp(IMP+1) = q(2,J)
   !
-  IF(IORD==1 .or. j==j1 .or. j==j2) THEN
+  IF(IORD==1 .OR. j==j1 .OR. j==j2) THEN
   DO i=1,IMR
   iu = REAL(i) - uc(i,j)
@@ -1007,5 +1007,5 @@
   DC(0) = DC(IMR)
   !
-  IF(IORD==2 .or. j<=j1vl .or. j>=j2vl) THEN
+  IF(IORD==2 .OR. j<=j1vl .OR. j>=j2vl) THEN
   DO i=1,IMR
   iu = REAL(i) - uc(i,j)
@@ -1014,5 +1014,5 @@
   else
   CALL fxppm(IMR,IML,UC(1,j),Qtmp,DC,fx1,IORD)
-  endif
+  ENDIF
   !
   ENDIF
@@ -1033,5 +1033,5 @@
   enddo
   !
-  IF(IORD==1 .or. j==j1 .or. j==j2) THEN
+  IF(IORD==1 .OR. j==j1 .OR. j==j2) THEN
   DO i=1,IMR
   itmp = INT(uc(i,j))
@@ -1068,5 +1068,5 @@
     enddo
   !DIR$ VECTOR
-  endif
+  ENDIF
   END DO
   do i=1,IMR
@@ -1091,9 +1091,9 @@
   INTEGER :: IMR,IML,IORD
   REAL :: UT,P,DC,flux
-  real,parameter ::  R3 = 1./3., R23 = 2./3.
+  REAL,parameter ::  R3 = 1./3., R23 = 2./3.
   DIMENSION UT(*),flux(*),P(-IML:IMR+IML+1),DC(-IML:IMR+IML+1)
   REAL :: AR(0:IMR),AL(0:IMR),A6(0:IMR)
   INTEGER :: LMT,IMP,JLVL,i
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! SAVE LMT
@@ -1112,10 +1112,10 @@
   !  else
   !        LMT = IORD - 3
-  !  endif
+  !  ENDIF
   !
   LMT = IORD - 3
    ! WRITE(6,*) 'PPM option in E-W direction = ', LMT
    ! first = .FALSE.
-   ! endif
+   ! END IF
   !
   DO i=1,IMR
@@ -1145,5 +1145,5 @@
   flux(i) = AL(i) - 0.5*UT(i)*(AR(i) - AL(i) + &
         A6(i)*(1.+R23*UT(i)))
-  endif
+  ENDIF
   enddo
   RETURN
@@ -1153,5 +1153,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,IML
-  real,parameter :: R24 = 1./24.
+  REAL,parameter :: R24 = 1./24.
   REAL :: P(-IML:IMR+1+IML),DC(-IML:IMR+1+IML)
   INTEGER :: i
@@ -1191,5 +1191,5 @@
   CALL ymist(IMR,JNP,j1,P,DC2,4)
   !
-  IF(JORD<=0 .or. JORD>=3) THEN
+  IF(JORD<=0 .OR. JORD>=3) THEN
   CALL fyppm(VC,P,DC2,fx,IMR,JNP,j1,j2,A6,AR,AL,JORD)
 
@@ -1199,6 +1199,6 @@
   fx(i,j1) = p(i,JT) + (sign(1.,VC(i,j1))-VC(i,j1))*DC2(i,JT)
   END DO
-  endif
-  endif
+  ENDIF
+  ENDIF
   !
   DO i=1,len
@@ -1232,5 +1232,5 @@
   DQ(i,JMR) = sum2
   enddo
-  endif
+  ENDIF
   !
   RETURN
@@ -1240,5 +1240,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,JNP,j1,ID
-  real,parameter :: R24 = 1./24.
+  REAL,parameter :: R24 = 1./24.
   REAL :: P(IMR,JNP),DC(IMR,JNP)
   INTEGER :: iimh,jmr,ijm3,imh,i
@@ -1315,5 +1315,5 @@
   DC(i,JNP) =  - DC(i-imh,JNP)
   END DO
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE ymist
@@ -1322,5 +1322,5 @@
   IMPLICIT NONE
   INTEGER :: IMR,JNP,j1,j2,JORD
-  real,parameter :: R3 = 1./3., R23 = 2./3.
+  REAL,parameter :: R3 = 1./3., R23 = 2./3.
   REAL :: VC(IMR,*),flux(IMR,*),P(IMR,*),DC(IMR,*)
   ! Local work arrays.
@@ -1328,5 +1328,5 @@
   INTEGER :: LMT,i
   INTEGER :: IMH,JMR,j11,IMJM1,len
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! SAVE LMT
@@ -1348,8 +1348,8 @@
    ! else
    !       LMT = JORD - 3
-   ! endif
+   ! END IF
   !
   !  first = .FALSE.
-  !  endif
+  !  ENDIF
   !
   ! modifs pour pouvoir choisir plusieurs schemas PPM
@@ -1394,5 +1394,5 @@
   flux(i,j1) = AL(i,j1) - 0.5*VC(i,j1)*(AR(i,j1) - AL(i,j1) + &
         A6(i,j1)*(1.+R23*VC(i,j1)))
-  endif
+  ENDIF
   END DO
   RETURN
@@ -1498,5 +1498,5 @@
     JMR = JNP-1
   do j=j1,j2
-  IF(J>JS  .and. J<JN) GO TO 1309
+  IF(J>JS  .AND. J<JN) GO TO 1309
   !
   do i=1,IMR
@@ -1527,5 +1527,5 @@
   else
   adx(i,j) = qtmp(iiu)+ru*(qtmp(iiu)-qtmp(iiu+1))
-  endif
+  ENDIF
   enddo
   ENDIF
@@ -1598,5 +1598,5 @@
   ! LMT = 2: POSITIVE-DEFINITE CONSTRAINT
   !
-  real,parameter :: R12 = 1./12.
+  REAL,parameter :: R12 = 1./12.
   REAL :: A6(IM),AR(IM),AL(IM),P(IM),DC(IM)
   INTEGER :: IM,LMT
@@ -1621,6 +1621,6 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
-  endif
+  ENDIF
+  ENDIF
   END DO
   elseif(LMT==1) THEN
@@ -1628,5 +1628,5 @@
   do i=1,IM
   IF(abs(AR(i)-AL(i)) >= -A6(i)) go to 150
-  IF(p(i)<AR(i) .and. p(i)<AL(i)) THEN
+  IF(p(i)<AR(i) .AND. p(i)<AL(i)) THEN
         AR(i) = p(i)
         AL(i) = p(i)
@@ -1638,5 +1638,5 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
+  ENDIF
 150   continue
   END DO
@@ -1646,5 +1646,5 @@
   fmin = p(i) + 0.25*(AR(i)-AL(i))**2/A6(i) + A6(i)*R12
   IF(fmin>=0.) go to 250
-  IF(p(i)<AR(i) .and. p(i)<AL(i)) THEN
+  IF(p(i)<AR(i) .AND. p(i)<AL(i)) THEN
         AR(i) = p(i)
         AL(i) = p(i)
@@ -1656,8 +1656,8 @@
         A6(i) = 3.*(AR(i)-p(i))
         AL(i) = AR(i) - A6(i)
-  endif
+  ENDIF
 250   continue
   END DO
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE lmtppm
@@ -1708,5 +1708,5 @@
    cose(j) =  cose(JNP+2-j)
    enddo
-  endif
+  ENDIF
   !
   do j=2,JMR
@@ -1746,8 +1746,8 @@
         cross,IC,NSTEP)
   !
-  real,parameter :: tiny = 1.E-60
+  REAL,parameter :: tiny = 1.E-60
   INTEGER :: IMR,JNP,NLAY,j1,j2,IC,NSTEP
   REAL :: Q(IMR,JNP,NLAY),qtmp(IMR,JNP),cosp(*),acosp(*)
-  logical :: cross
+  LOGICAL :: cross
   INTEGER :: NLAYM1,len,ip,L,icr,ipy,ipx,i
   REAL :: qup,qly,dup,sum
@@ -1767,5 +1767,5 @@
   IF(cross) THEN
   CALL filcr(q(1,1,L),IMR,JNP,j1,j2,cosp,acosp,icr,tiny)
-  endif
+  ENDIF
   IF(icr==0) goto 50
   !
@@ -1776,5 +1776,5 @@
       Q(i,j1,2) = Q(i,j1,2) + Q(i,j1,1)
       Q(i,j1,1) = 0.
-  endif
+  ENDIF
   enddo
   !
@@ -1789,5 +1789,5 @@
   IF(cross) THEN
   CALL filcr(q(1,1,L),IMR,JNP,j1,j2,cosp,acosp,icr,tiny)
-  endif
+  ENDIF
   IF(icr==0) goto 225
   !
@@ -1843,9 +1843,9 @@
   WRITE(6,*) 'IC=',IC,' STEP=',NSTEP, &
         ' Vertical filling pts=',ip
-  endif
+  ENDIF
   !
   IF(sum>1.e-25) THEN
   WRITE(6,*) IC,NSTEP,' Mass source from the ground=',sum
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE qckxyz
@@ -1875,7 +1875,7 @@
   q(i+1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
-  END DO
-  IF(icr==0 .and. q(IMR,j)>=0.) goto 65
+  ENDIF
+  END DO
+  IF(icr==0 .AND. q(IMR,j)>=0.) goto 65
   DO i=2,IMR
   IF(q(i,j)<0.) THEN
@@ -1894,5 +1894,5 @@
   q(i-1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   END DO
   ! *****************************************
@@ -1914,5 +1914,5 @@
   q(IMR,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   ! *****************************************
   ! i=IMR
@@ -1933,5 +1933,5 @@
   q(1,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   ! *****************************************
 65   continue
@@ -1939,15 +1939,15 @@
   !
   do i=1,IMR
-  IF(q(i,j1)<0. .or. q(i,j2)<0.) THEN
+  IF(q(i,j1)<0. .OR. q(i,j2)<0.) THEN
   icr = 1
   goto 80
-  endif
+  ENDIF
   enddo
   !
 80   continue
   !
-  IF(q(1,1)<0. .or. q(1,jnp)<0.) THEN
+  IF(q(1,1)<0. .OR. q(1,jnp)<0.) THEN
   icr = 1
-  endif
+  ENDIF
   !
   RETURN
@@ -1960,5 +1960,5 @@
   REAL :: DP,CAP1,dq,dn,d0,d1,ds,d2
   INTEGER :: i,j
-   ! logical first
+   ! LOGICAL first
    ! data first /.TRUE./
    ! save cap1
@@ -1968,5 +1968,5 @@
   CAP1 = IMR*(1.-COS((j1-1.5)*DP))/DP
    ! first = .FALSE.
-   ! endif
+   ! END IF
   !
   ipy = 0
@@ -1988,5 +1988,5 @@
   q(i,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   END DO
   END DO
@@ -2002,5 +2002,5 @@
   q(i,j1+1) = (dn - d1)*acosp(j1+1)
   q(i,j1) = (d1 - dq)*acosp(j1) + tiny
-  endif
+  ENDIF
   enddo
   !
@@ -2016,5 +2016,5 @@
   q(i,j-1) = (ds - d2)*acosp(j-1)
   q(i,j) = (d2 - dq)*acosp(j) + tiny
-  endif
+  ENDIF
   enddo
   !
@@ -2027,5 +2027,5 @@
   IF(q(i,j1)<0.) ipy = 1
   enddo
-  endif
+  ENDIF
   !
   IF(q(1,JNP)<0.) THEN
@@ -2036,5 +2036,5 @@
   IF(q(i,j2)<0.) ipy = 1
   enddo
-  endif
+  ENDIF
   !
   RETURN
@@ -2070,5 +2070,5 @@
   qtmp(j,i+1) = qtmp(j,i+1) - d2
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   END DO
@@ -2089,5 +2089,5 @@
   !
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   i=IMR
@@ -2106,5 +2106,5 @@
   !
   qtmp(j,i) = qtmp(j,i) + d2 + tiny
-  endif
+  ENDIF
   END DO
   !
@@ -2118,6 +2118,6 @@
   !
   ! Poles.
-  IF(q(1,1)<0 .or. q(1,JNP)<0.) ipx = 1
-  endif
+  IF(q(1,1)<0 .OR. q(1,JNP)<0.) ipx = 1
+  ENDIF
   RETURN
 END SUBROUTINE filew
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5117)
@@ -62,5 +62,5 @@
   INTEGER :: ismax,ismin
   EXTERNAL  SSUM, ismin,ismax
-  logical :: first
+  LOGICAL :: first
   save first
   EXTERNAL advxp,advyp,advzp
@@ -109,5 +109,5 @@
     ENDDO
     ENDDO
-  endif
+  ENDIF
   !   Fin modif Fred
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5117)
@@ -11,16 +11,16 @@
     ! xprimm.
 
-    use nrtype, ONLY: twopi
-    use serre_mod, ONLY: clon
+    USE lmdz_physical_constants, ONLY: twopi
+    USE serre_mod, ONLY: clon
 
     include "dimensions.h"
     ! for iim
 
-    integer, intent(in):: is2
-    real, intent(inout):: xlon(:), xprimm(:) ! (iim + 1)
+    INTEGER, INTENT(IN):: is2
+    REAL, INTENT(INOUT):: xlon(:), xprimm(:) ! (iim + 1)
 
     !-----------------------------------------------------
 
-    if (is2 /= 0) THEN
+    IF (is2 /= 0) THEN
        IF (clon <= 0.) THEN
           IF (is2 /= 1) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/sortvarc.f90	(revision 5117)
@@ -70,6 +70,6 @@
   ! Ehouarn: when no initialization fields from file, resetvarc should be
        ! set to false
-   if (firstcal) THEN
-     if (.not.read_start) THEN
+   IF (firstcal) THEN
+     IF (.NOT.read_start) THEN
        resetvarc=.TRUE.
      endif
@@ -147,5 +147,5 @@
   ang   = SSUM(     llm,  angl, 1 )
 
-  IF (firstcal.and.resetvarc) THEN
+  IF (firstcal.AND.resetvarc) THEN
      WRITE(lunout,3500) itau, rjour, heure, time
      WRITE(lunout,*) trim(modname), &
@@ -162,30 +162,30 @@
   ! compute relative changes in etot,... (except if 'reference' values
   ! are zero, which can happen when using iniacademic)
-  if (etot0/=0) THEN
+  IF (etot0/=0) THEN
     etot= etot/etot0
   else
     etot=1.
-  endif
+  ENDIF
   rmsv= SQRT(rmsv/ptot)
-  if (ptot0/=0) THEN
+  IF (ptot0/=0) THEN
     ptot= ptot/ptot0
   else
     ptot=1.
-  endif
-  if (ztot0/=0) THEN
+  ENDIF
+  IF (ztot0/=0) THEN
     ztot= ztot/ztot0
   else
     ztot=1.
-  endif
-  if (stot0/=0) THEN
+  ENDIF
+  IF (stot0/=0) THEN
     stot= stot/stot0
   else
     stot=1.
-  endif
-  if (ang0/=0) THEN
+  ENDIF
+  IF (ang0/=0) THEN
     ang = ang /ang0
   else
     ang=1.
-  endif
+  ENDIF
 
   firstcal = .FALSE.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5117)
@@ -43,6 +43,6 @@
 
      do ij=1,iim
-      if (teta(ij,l)/=teta(1,l) &
-            .or.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) THEN
+      IF (teta(ij,l)/=teta(1,l) &
+            .OR.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  TETA  ---  n est pas', &
             ' constant aux poles ! '
@@ -99,6 +99,6 @@
      ENDDO
      do ij=1,iim
-      if (p(ij,l)/=p(1,l) &
-            .or.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) THEN
+      IF (p(ij,l)/=p(1,l) &
+            .OR.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  P     ---  n est pas', &
             ' constant aux poles ! '
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tracstoke.h	(revision 5117)
@@ -3,3 +3,3 @@
 
       common /tracstoke/istdyn,istphy,unittrac
-      integer istdyn,istphy,unittrac
+      INTEGER istdyn,istphy,unittrac
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5117)
@@ -11,5 +11,5 @@
   ! levels are pressure levels.
 
-  use comconst_mod, ONLY: omeg, rad
+  USE comconst_mod, ONLY: omeg, rad
   
   IMPLICIT NONE
@@ -19,9 +19,9 @@
   include "comgeom2.h"
 
-  real ucov(iip1,jjp1,llm),phi(iip1,jjp1,llm)
-  real um(jjm,llm),fact,u(iip1,jjm,llm)
-  integer i,j,l
+  REAL ucov(iip1,jjp1,llm),phi(iip1,jjp1,llm)
+  REAL um(jjm,llm),fact,u(iip1,jjm,llm)
+  INTEGER i,j,l
 
-  real zlat
+  REAL zlat
 
   um(:,:)=0 ! initialize um()
@@ -29,5 +29,5 @@
   DO j=1,jjm
 
-     if (abs(sin(rlatv(j)))<1.e-4) THEN
+     IF (abs(sin(rlatv(j)))<1.e-4) THEN
         zlat=1.e-4
      else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5117)
@@ -2,5 +2,5 @@
 ! $Header$
 
-if (callinigrads) THEN
+IF (callinigrads) THEN
    string10='dyn'
    CALL inigrads(1,iip1 &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5117)
@@ -5,5 +5,5 @@
   USE ioipsl
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
+  USE com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
   USE comconst_mod, ONLY: cpp
   USE temps_mod, ONLY: itau_dyn
@@ -47,10 +47,10 @@
   !   Variables locales
 
-  integer ndex2d(ip1jmp1), ndexu(ip1jmp1*llm), ndexv(ip1jm*llm)
+  INTEGER ndex2d(ip1jmp1), ndexu(ip1jmp1*llm), ndexv(ip1jm*llm)
   INTEGER iq, ii, ll
-  real tm(ip1jmp1*llm)
+  REAL tm(ip1jmp1*llm)
   REAL vnat(ip1jm, llm), unat(ip1jmp1, llm)
-  logical ok_sync
-  integer itau_w
+  LOGICAL ok_sync
+  INTEGER itau_w
 
   !-----------------------------------------------------------------
@@ -120,5 +120,5 @@
   ! CALL histwrite(histaveid, 'phis', itau_w, phis, iip1*jjp1, ndex2d)
 
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
      CALL histsync(histaveid)
      CALL histsync(histvaveid)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5117)
@@ -55,5 +55,5 @@
   INTEGER :: iq, ii, ll
   INTEGER :: ndexu(ip1jmp1 * llm), ndexv(ip1jm * llm), ndex2d(ip1jmp1)
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   INTEGER :: itau_w
   REAL :: vnat(ip1jm, llm), unat(ip1jmp1, llm)
@@ -114,9 +114,9 @@
   !  Fin
   !
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(histid)
     CALL histsync(histvid)
     CALL histsync(histuid)
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE writehist
